Package org.eclipse.search.ui

## Interface ISearchResultViewEntry

    @Deprecated(forRemoval=true)
    public interface ISearchResultViewEntry

Deprecated, for removal: This API element is subject to removal in a future version.
Part of the old ('classic') search result view. Since 3.0 clients can create their own search result view pages (see `ISearchResultPage`), leaving it up to the search how to model search results. `AbstractTextSearchResult` and `Match` can be used to port old searches to the new API design. This class will be removed after 2023-09 release. See https://bugs.eclipse.org/bugs/show_bug.cgi?id=487303 for more information.
Specifies a search result view entry. This entry provides information about the markers it groups by a client defined key. Each entry in the search result view corresponds to a different key.

The UI allows stepping through this entry's markers grouped by the key.

This interface is not intended to be implemented by clients.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.
Restriction:
Restriction:
  This class is not intended to be instantiated by clients.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`Object` `getGroupByKey()` Deprecated, for removal: This API element is subject to removal in a future version. Returns the key by which this entry's markers are logically grouped.
`int` `getMatchCount()` Deprecated, for removal: This API element is subject to removal in a future version. Returns the number of markers grouped by this entry.
`IResource` `getResource()` Deprecated, for removal: This API element is subject to removal in a future version. Returns the resource to which this entry's markers are attached.
`IMarker` `getSelectedMarker()` Deprecated, for removal: This API element is subject to removal in a future version. Returns the selected marker of this entry, or the first one if no marker is selected.

### Method Detail

#### getGroupByKey

    Object getGroupByKey()

Deprecated, for removal: This API element is subject to removal in a future version.
Returns the key by which this entry's markers are logically grouped. A line in a text could be such a key. Clients supply this key as a parameter to `ISearchResultView.addMatch`.

Returns:
  the common resource of this entry's markers
See Also:
  `ISearchResultView.addMatch(java.lang.String, java.lang.Object, org.eclipse.core.resources.IResource, org.eclipse.core.resources.IMarker)`

#### getResource

    IResource getResource()

Deprecated, for removal: This API element is subject to removal in a future version.
Returns the resource to which this entry's markers are attached. This is a convenience method for `getSelectedMarker().getResource()`.

Returns:
  the common resource of this entry's markers

#### getMatchCount

    int getMatchCount()

Deprecated, for removal: This API element is subject to removal in a future version.
Returns the number of markers grouped by this entry.

Returns:
  the number of markers

#### getSelectedMarker

    IMarker getSelectedMarker()

Deprecated, for removal: This API element is subject to removal in a future version.
Returns the selected marker of this entry, or the first one if no marker is selected. A search results view entry can group markers which the UI allows the user to step through them while this entry remains selected.

Returns:
  the selected marker inside this entry, or `null` if the entry has no markers